Bug 760493 - [abrt] rygel-0.12.5-1.fc16: g_signal_emit_by_name: Process /usr/bin/rygel was killed by signal 11 (SIGSEGV)
Summary: [abrt] rygel-0.12.5-1.fc16: g_signal_emit_by_name: Process /usr/bin/rygel was...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rygel
Version: 16
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:ace708d74d68ee25d41a3eeea4e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-12-06 10:40 UTC by fred
Modified: 2012-01-31 21:57 UTC (History)
2 users (show)

Fixed In Version: rygel-0.12.7-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-31 21:57:43 UTC


Attachments (Terms of Use)
File: dso_list (5.53 KB, text/plain)
2011-12-06 10:40 UTC, fred
no flags Details
File: build_ids (2.12 KB, text/plain)
2011-12-06 10:40 UTC, fred
no flags Details
File: maps (24.02 KB, text/plain)
2011-12-06 10:40 UTC, fred
no flags Details
File: backtrace (166.24 KB, text/plain)
2011-12-06 10:40 UTC, fred
no flags Details

Description fred 2011-12-06 10:40:25 UTC
libreport version: 2.0.7
abrt_version:   2.0.6
backtrace_rating: 4
cmdline:        /usr/bin/rygel
comment:        the error appeared on startup this time, right after rhythmbox started.
crash_function: g_signal_emit_by_name
executable:     /usr/bin/rygel
kernel:         3.1.2-1.fc16.x86_64
pid:            1476
pwd:            /
reason:         Process /usr/bin/rygel was killed by signal 11 (SIGSEGV)
time:           mar. 06 déc. 2011 10:55:55 CET
uid:            1000
username:       fred

backtrace:      Text file, 170228 bytes
build_ids:      Text file, 2173 bytes
dso_list:       Text file, 5658 bytes
maps:           Text file, 24595 bytes

environ:
:SHELL=/bin/zsh
:DBUS_STARTER_ADDRESS=unix:abstract=/tmp/dbus-rvGYnx61bV,guid=66d63ef4b82b90594f43250000000016
:XDG_SESSION_COOKIE=a7abb38d09e3d8a83ae27fac00000009-1323165289.982630-1267374170
:XDG_RUNTIME_DIR=/run/user/fred
:DISPLAY=:0
:DESKTOP_SESSION=gnome
:LC_MEASUREMENT=fr_FR.utf8
:SSH_AUTH_SOCK=/tmp/keyring-iexNgb/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1236,unix/unix:/tmp/.ICE-unix/1236
:LC_MONETARY=fr_FR.utf8
:LC_NUMERIC=fr_FR.utf8
:LC_TIME=fr_FR.utf8
:WINDOWPATH=1
:PATH=/usr/local/bin:/usr/bin:/bin
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:GDMSESSION=gnome
:XDG_VTNR=1
:USERNAME=fred
:XDG_SESSION_ID=2
:GPG_AGENT_INFO=/tmp/keyring-iexNgb/gpg:0:1
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-rvGYnx61bV,guid=66d63ef4b82b90594f43250000000016
:XDG_SEAT=seat0
:XAUTHORITY=/var/run/gdm/auth-for-fred-V7Y5GN/database
:USER=fred
:DBUS_STARTER_BUS_TYPE=session
:GNOME_KEYRING_PID=1231
:SHLVL=1
:GDM_LANG=fr_FR.utf8
:PWD=/home/fred
:GNOME_KEYRING_CONTROL=/tmp/keyring-iexNgb
:LANG=fr_FR.utf8
:_=/usr/bin/dbus-launch
:LOGNAME=fred
:HOME=/home/fred

var_log_messages:
:Dec  5 14:54:52 boulet kernel: [ 3072.787031] rygel[1528]: segfault at 7fff3df42fd0 ip 000000343542a306 sp 00007fff3df42f20 error 6 in libgobject-2.0.so.0.3000.1[3435400000+4c000]
:Dec  5 14:54:53 boulet abrt[3415]: Saved core dump of pid 1528 (/usr/bin/rygel) to /var/spool/abrt/ccpp-2011-12-05-14:54:52-1528 (88174592 bytes)
:Dec  6 10:55:52 boulet kernel: [   84.887037] rygel[1476]: segfault at 7ffffddd6f98 ip 000000343542a381 sp 00007ffffddd6fa0 error 6 in libgobject-2.0.so.0.3000.1[3435400000+4c000]
:Dec  6 10:55:58 boulet abrt[2193]: Saved core dump of pid 1476 (/usr/bin/rygel) to /var/spool/abrt/ccpp-2011-12-06-10:55:52-1476 (78979072 bytes)

Comment 1 fred 2011-12-06 10:40:28 UTC
Created attachment 541303 [details]
File: dso_list

Comment 2 fred 2011-12-06 10:40:30 UTC
Created attachment 541304 [details]
File: build_ids

Comment 3 fred 2011-12-06 10:40:32 UTC
Created attachment 541305 [details]
File: maps

Comment 4 fred 2011-12-06 10:40:39 UTC
Created attachment 541306 [details]
File: backtrace

Comment 5 Fedora Update System 2012-01-19 13:34:21 UTC
rygel-0.12.7-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/rygel-0.12.7-1.fc16

Comment 6 Fedora Update System 2012-01-19 21:57:39 UTC
Package rygel-0.12.7-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rygel-0.12.7-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-0693/rygel-0.12.7-1.fc16
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2012-01-31 21:57:43 UTC
rygel-0.12.7-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.